VERSION 5.00
Begin VB.Form P4P_MAIN 
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "NODE-RUNNER - P4P"
   ClientHeight    =   2115
   ClientLeft      =   60
   ClientTop       =   300
   ClientWidth     =   3270
   Icon            =   "NR_P4P_Main.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2115
   ScaleWidth      =   3270
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox P4P_PROCESS_NAME_TEXTBOX 
      Alignment       =   2  'Center
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   240
      Locked          =   -1  'True
      TabIndex        =   1
      ToolTipText     =   "Name Of Process To Monitor..."
      Top             =   360
      Width           =   2775
   End
   Begin VB.Timer MAIN_CLOSING_WINDOW_TIMER 
      Left            =   1320
      Top             =   1320
   End
   Begin VB.Timer PROCESS_WATCHER_TIMER 
      Left            =   720
      Top             =   1320
   End
   Begin VB.Timer AlwaysOnTopTimer 
      Enabled         =   0   'False
      Left            =   120
      Top             =   1320
   End
   Begin VB.CommandButton STOP_BUTTON 
      Caption         =   "STOP"
      Height          =   255
      Left            =   2520
      TabIndex        =   0
      Top             =   840
      Width           =   615
   End
   Begin VB.Label CLOSING_LABEL 
      BackColor       =   &H0080FF80&
      Caption         =   "Closing In 5 Seconds"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H000000FF&
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   840
      Visible         =   0   'False
      Width           =   2295
   End
   Begin VB.Label P4P_PAUSED_LABEL 
      Alignment       =   2  'Center
      BackColor       =   &H00000000&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "NR-P4P - Pause 4 Process"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H0000FF00&
      Height          =   345
      Left            =   120
      TabIndex        =   2
      Top             =   0
      Width           =   3045
   End
End
Attribute VB_Name = "P4P_MAIN"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False




Option Explicit
 
 
Private Declare Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal X As Long, ByVal Y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long

Private Const HWND_TOPMOST = -1 'bring to top and stay there
Private Const HWND_NOTOPMOST = -2 'put the window into a normal position

Private Const SWP_NOMOVE = &H2 'don't move window
Private Const SWP_NOSIZE = &H1 'don't size window

Private Declare Function GetForegroundWindow Lib "user32" () As Long




    

    Private Function isRunningExe(exeName As String) As Boolean
       
       Dim strQuery As String
       strQuery = "SELECT Name FROM Win32_Process WHERE Name='" & exeName & "'"
       isRunningExe = GetObject("winmgmts:").ExecQuery(strQuery).Count
    
    End Function










Private Sub Form_Load()


    Me.Left = GetSetting("NODE-RUNNER-P4P", App.exeName, "MainLeft", 1000)
    Me.Top = GetSetting("NODE-RUNNER-P4P", App.exeName, "MainTop", 1000)
    Me.Width = GetSetting("NODE-RUNNER-P4P", App.exeName, "MainWidth", 3390)
    Me.Height = GetSetting("NODE-RUNNER-P4P", App.exeName, "MainHeight", 1575)
    
    
    P4P_PROCESS_NAME_TEXTBOX.Text = GetSetting("NODE-RUNNER-P4P", App.exeName, "P4P_PROCESS_NAME_TEXTBOX", "")
    
    
    AlwaysOnTopTimer.Enabled = True
    AlwaysOnTopTimer.Interval = 1000
    
    PROCESS_WATCHER_TIMER.Enabled = True
    PROCESS_WATCHER_TIMER.Interval = 1000
    
    MAIN_CLOSING_WINDOW_TIMER.Enabled = False
    MAIN_CLOSING_WINDOW_TIMER.Interval = 5000
    
    
    'If P4P_PROCESS_NAME_TEXTBOX.Text = "" Then
    
    'PROCESS_WATCHER_TIMER.Enabled = False
    'MAIN_CLOSING_WINDOW_TIMER = False
    'STOP_BUTTON.Caption = "GO"
    
    'Else
    
    'STOP_BUTTON.Caption = "STOP"
    'PROCESS_WATCHER_TIMER.Enabled = True
    'MAIN_CLOSING_WINDOW_TIMER = True
    
    'End If
    
End Sub



Private Sub Form_Unload(Cancel As Integer)


        SaveSetting "NODE-RUNNER-P4P", App.exeName, "MainLeft", Me.Left
        SaveSetting "NODE-RUNNER-P4P", App.exeName, "MainTop", Me.Top
        
        
        SaveSetting "NODE-RUNNER-P4P", App.exeName, "P4P_PROCESS_NAME_TEXTBOX", P4P_PROCESS_NAME_TEXTBOX.Text

        
        AlwaysOnTopTimer.Enabled = False
        
        
        
End Sub
        
        
Private Sub AlwaysOnTopTimer_Timer()
'If the window on top is not this window...
If Me.hwnd <> GetForegroundWindow Then
'Make this form be on top
Call SetWindowPos(GetForegroundWindow, HWND_NOTOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE)
'Make the window on top below this form
Call SetWindowPos(hwnd, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE)
End If

End Sub






        
        
        




Private Sub P4P_PAUSED_LABEL_DblClick()

    NR_P4P_ABOUT.Show vbModal, Me

End Sub

Private Sub PROCESS_WATCHER_TIMER_Timer()

    

      'If isRunningExe("calc.exe") Then
      If isRunningExe(P4P_PROCESS_NAME_TEXTBOX.Text) Then
            
            'P4P_PROCESS_NAME_TEXTBOX.Text = "RUNNING"
            P4P_PROCESS_NAME_TEXTBOX.ForeColor = &H0&
            P4P_PROCESS_NAME_TEXTBOX.BackColor = &HFF00&
            CLOSING_LABEL.Visible = False
            MAIN_CLOSING_WINDOW_TIMER.Enabled = False
            
            'PROCESS_TERMINATED_COUNTDOWN_TEXTBOX.Text = "RUNNING"
            'PROCESS_TERMINATED_COUNTDOWN_TEXTBOX.BackColor = &HFF00&
            
            Else
            
            'P4P_PROCESS_NAME_TEXTBOX.Text = "STOPPED"
            P4P_PROCESS_NAME_TEXTBOX.ForeColor = &H0&
            P4P_PROCESS_NAME_TEXTBOX.BackColor = &HFF&
            'PROCESS_WATCHER_TIMER.Enabled = False
            CLOSING_LABEL.Visible = True
            MAIN_CLOSING_WINDOW_TIMER.Enabled = True
            
            End If
            
End Sub

Private Sub STOP_BUTTON_Click()

    If STOP_BUTTON.Caption = "STOP" Then
    
    STOP_BUTTON.Caption = "GO"
    CLOSING_LABEL.Visible = False
    P4P_PROCESS_NAME_TEXTBOX.Locked = False
    PROCESS_WATCHER_TIMER.Enabled = False
    MAIN_CLOSING_WINDOW_TIMER.Enabled = False
    
    Else
    
    STOP_BUTTON.Caption = "STOP"
    P4P_PROCESS_NAME_TEXTBOX.Locked = True
    'CLOSING_LABEL.Visible = True
    PROCESS_WATCHER_TIMER.Enabled = True
    
    End If
End Sub




Private Sub MAIN_CLOSING_WINDOW_TIMER_Timer()

    MAIN_CLOSING_WINDOW_TIMER.Enabled = False
    
    Unload Me
    
End Sub

